Artist genres

Get all genres associated with a specified artist.

 \ Example request

GET https://api.7digital.com/1.2/artist/tags?artistid=1&oauth_consumer_key=YOUR_KEY_HERE&country=GB

Example response

{
  "status": "ok",
  "version": "1.2",
  "tags": {
    "page": 1,
    "pageSize": 10,
    "totalItems": 4,
    "tag": [
      {
        "id": "rock",
        "text": "rock",
        "url": "http://www.7digital.com/tags/rock?partner=1401"
      },
      {
        "id": "pop",
        "text": "pop",
        "url": "http://www.7digital.com/tags/pop?partner=1401"
      },
      {
        "id": "alternative",
        "text": "alternative",
        "url": "http://www.7digital.com/tags/alternative?partner=1401"
      },
      {
        "id": "2000s",
        "text": "2000s",
        "url": "http://www.7digital.com/tags/2000s?partner=1401"
      }
    ]
  }
}
Query Params
int32
required

The unique identifier of the artist.

string
required

ISO 2-character code of the country the end user resides in.

Language
LoadingLoading…